const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_3 = ebx_global_2d_to_2d_local;
    v0_4 = z.x;
    ebx_global_2d_to_2d_local = v0_4;
    v3_d = arg1[48];
    v4_1a = z.x * *((v3_d - 32)) + *((v3_d - 16));
    *v0_4 = v4_1a;
    z.x = z.x & -256 | v0_4[7] & -128;
    v2_24 = fabsl(v4_1a) # bp+24;
    tmp235 = fabs(*((v3_d - 24)));
    z.x = __asm_fyl2x(edi_global_2d_to_2d_local, esi_global_2d_to_2d_local, v0_4, v0_3, ebp_global_2d_to_2d_local);
    *ebx_global_2d_to_2d_local = v2_24 + tmp235;
    v2_36 = ebx_global_2d_to_2d_local + 7 # bp+36;
    *v2_36 = *v2_36 ^ z.x;
    z.x = v0_4;
    return v0_4;


	}